Capacities - Get Capacity
Returns specified capacity information.
Permissions
The caller must have administrator or contributor permissions on the capacity.
Required Delegated Scopes
Capacity.Read.All or Capacity.ReadWrite.All
Microsoft Entra supported identities
This API supports the Microsoft identities listed in this section.
| Identity | Support |
|---|---|
| User | Yes |
| Service principal and Managed identities | Yes |
Interface
GET https://api.fabric.microsoft.com/v1/capacities/{capacityId}
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
capacity
|
path | True |
string (uuid) |
The capacity ID. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Request completed successfully. |
|
| 429 Too Many Requests |
The service rate limit was exceeded. The server returns a Headers Retry-After: integer |
|
| Other Status Codes |
Common error codes:
|
Examples
Get a capacity example
Sample request
GET https://api.fabric.microsoft.com/v1/capacities/96f3f0ff-4fe2-4712-b61b-05a456ba9357
Sample response
{
"id": "96f3f0ff-4fe2-4712-b61b-05a456ba9357",
"displayName": "F4 Capacity",
"sku": "F4",
"region": "West Central US",
"state": "Active"
}
Definitions
| Name | Description |
|---|---|
| Capacity |
A capacity object. |
|
Capacity |
A Capacity state. Additional capacity states may be added over time. |
|
Error |
A structured parameter providing additional machine-readable context about an error. |
|
Error |
The error related resource details object. |
|
Error |
The error response. |
|
Error |
The error response details. |
Capacity
A capacity object.
| Name | Type | Description |
|---|---|---|
| displayName |
string |
The capacity display name. |
| id |
string (uuid) |
The capacity ID. |
| region |
string |
The Azure region where the capacity was provisioned. |
| sku |
string |
The capacity SKU. |
| state |
The capacity state. |
CapacityState
A Capacity state. Additional capacity states may be added over time.
| Value | Description |
|---|---|
| Active |
The capacity is ready to use. |
| Inactive |
The capacity can't be used. |
ErrorParameter
A structured parameter providing additional machine-readable context about an error.
| Name | Type | Description |
|---|---|---|
| message |
string |
A human-readable description of the parameter's meaning. |
| name |
string |
The parameter identifier. |
| value |
string |
The parameter value. |
ErrorRelatedResource
The error related resource details object.
| Name | Type | Description |
|---|---|---|
| resourceId |
string |
The resource ID that's involved in the error. |
| resourceType |
string |
The type of the resource that's involved in the error. |
ErrorResponse
The error response.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| isRetriable |
boolean |
When true, the request can be retried. Use the |
| message |
string |
A human readable representation of the error. |
| moreDetails |
List of additional error details. |
|
| parameters |
Structured parameters providing additional machine-readable context about the error. |
|
| relatedResource |
The error related resource details. |
|
| requestId |
string (uuid) |
ID of the request associated with the error. |
ErrorResponseDetails
The error response details.
| Name | Type | Description |
|---|---|---|
| errorCode |
string |
A specific identifier that provides information about an error condition, allowing for standardized communication between our service and its users. |
| message |
string |
A human readable representation of the error. |
| parameters |
Structured parameters providing additional machine-readable context about the error. |
|
| relatedResource |
The error related resource details. |